/****************************************************************************************************
 * @file     K1921BK01T_ENUM.h
 * @brief    Header File Enumerate Values for K1921BK01T from NIIET
 * @autor    DAV@NIIET
 * @date     15.03.2016 15:28:51
****************************************************************************************************/

#ifndef K1921BK01T_ENUM_H
#define K1921BK01T_ENUM_H


/* Enumerate value for ADC.EMUX.EM0 */
typedef enum
{ EMUX_EM0_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM0_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM0_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM0_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM0_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM0_TIMER = 5,     /* Timer request */
  EMUX_EM0_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM0_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM0_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM0_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM0_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM0_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM0_Cycle = 15     /* Cycle mode */
} EMUX_EM0;

/* Enumerate value for ADC.EMUX.EM1 */
typedef enum
{ EMUX_EM1_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM1_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM1_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM1_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM1_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM1_TIMER = 5,     /* Timer request */
  EMUX_EM1_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM1_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM1_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM1_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM1_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM1_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM1_Cycle = 15     /* Cycle mode */
} EMUX_EM1;

/* Enumerate value for ADC.EMUX.EM2 */
typedef enum
{ EMUX_EM2_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM2_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM2_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM2_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM2_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM2_TIMER = 5,     /* Timer request */
  EMUX_EM2_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM2_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM2_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM2_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM2_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM2_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM2_Cycle = 15     /* Cycle mode */
} EMUX_EM2;

/* Enumerate value for ADC.EMUX.EM3 */
typedef enum
{ EMUX_EM3_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM3_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM3_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM3_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM3_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM3_TIMER = 5,     /* Timer request */
  EMUX_EM3_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM3_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM3_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM3_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM3_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM3_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM3_Cycle = 15     /* Cycle mode */
} EMUX_EM3;

/* Enumerate value for ADC.EMUX.EM4 */
typedef enum
{ EMUX_EM4_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM4_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM4_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM4_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM4_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM4_TIMER = 5,     /* Timer request */
  EMUX_EM4_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM4_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM4_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM4_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM4_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM4_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM4_Cycle = 15     /* Cycle mode */
} EMUX_EM4;

/* Enumerate value for ADC.EMUX.EM5 */
typedef enum
{ EMUX_EM5_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM5_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM5_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM5_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM5_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM5_TIMER = 5,     /* Timer request */
  EMUX_EM5_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM5_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM5_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM5_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM5_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM5_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM5_Cycle = 15     /* Cycle mode */
} EMUX_EM5;

/* Enumerate value for ADC.EMUX.EM6 */
typedef enum
{ EMUX_EM6_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM6_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM6_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM6_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM6_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM6_TIMER = 5,     /* Timer request */
  EMUX_EM6_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM6_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM6_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM6_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM6_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM6_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM6_Cycle = 15     /* Cycle mode */
} EMUX_EM6;

/* Enumerate value for ADC.EMUX.EM7 */
typedef enum
{ EMUX_EM7_SwReq = 0,     /* software request by GSYNC bit */
  EMUX_EM7_CMP0 = 1,     /* Analog comparator 0 request */
  EMUX_EM7_CMP1 = 2,     /* Analog comparator 1 request */
  EMUX_EM7_CMP2 = 3,     /* Analog comparator 2 request */
  EMUX_EM7_ITGPIO = 4,     /*  Any GPIO interrupt */
  EMUX_EM7_TIMER = 5,     /* Timer request */
  EMUX_EM7_PWM0 = 6,     /* PWM 0 request */
  EMUX_EM7_PWM1 = 7,     /* PWM 1 request */
  EMUX_EM7_PWM2 = 8,     /* PWM 2 request */
  EMUX_EM7_PWM3 = 9,     /* PWM 3 request */
  EMUX_EM7_PWM4 = 10,     /* PWM 4 request */
  EMUX_EM7_PWM5 = 11,     /* PWM 5 request */
  EMUX_EM7_Cycle = 15     /* Cycle mode */
} EMUX_EM7;

/* Enumerate value for ADC.SAC.AVG0 */
typedef enum
{ SAC_AVG0_Disable = 0,     /* Average disabled */
  SAC_AVG0_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG0_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG0_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG0_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG0_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG0_Average64 = 6     /* Average with 64 measures */
} SAC_AVG0;

/* Enumerate value for ADC.SAC.AVG1 */
typedef enum
{ SAC_AVG1_Disable = 0,     /* Average disabled */
  SAC_AVG1_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG1_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG1_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG1_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG1_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG1_Average64 = 6     /* Average with 64 measures */
} SAC_AVG1;

/* Enumerate value for ADC.SAC.AVG2 */
typedef enum
{ SAC_AVG2_Disable = 0,     /* Average disabled */
  SAC_AVG2_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG2_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG2_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG2_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG2_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG2_Average64 = 6     /* Average with 64 measures */
} SAC_AVG2;

/* Enumerate value for ADC.SAC.AVG3 */
typedef enum
{ SAC_AVG3_Disable = 0,     /* Average disabled */
  SAC_AVG3_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG3_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG3_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG3_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG3_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG3_Average64 = 6     /* Average with 64 measures */
} SAC_AVG3;

/* Enumerate value for ADC.SAC.AVG4 */
typedef enum
{ SAC_AVG4_Disable = 0,     /* Average disabled */
  SAC_AVG4_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG4_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG4_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG4_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG4_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG4_Average64 = 6     /* Average with 64 measures */
} SAC_AVG4;

/* Enumerate value for ADC.SAC.AVG5 */
typedef enum
{ SAC_AVG5_Disable = 0,     /* Average disabled */
  SAC_AVG5_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG5_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG5_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG5_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG5_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG5_Average64 = 6     /* Average with 64 measures */
} SAC_AVG5;

/* Enumerate value for ADC.SAC.AVG6 */
typedef enum
{ SAC_AVG6_Disable = 0,     /* Average disabled */
  SAC_AVG6_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG6_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG6_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG6_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG6_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG6_Average64 = 6     /* Average with 64 measures */
} SAC_AVG6;

/* Enumerate value for ADC.SAC.AVG7 */
typedef enum
{ SAC_AVG7_Disable = 0,     /* Average disabled */
  SAC_AVG7_Average2 = 1,     /* Average with 2 measures */
  SAC_AVG7_Average4 = 2,     /* Average with 4 measures */
  SAC_AVG7_Average8 = 3,     /* Average with 8 measures */
  SAC_AVG7_Average16 = 4,     /* Average with 16 measures */
  SAC_AVG7_Average32 = 5,     /* Average with 32 measures */
  SAC_AVG7_Average64 = 6     /* Average with 64 measures */
} SAC_AVG7;

/* Enumerate value for ADC.RICNT.AVG8 */
typedef enum
{ RICNT_AVG8_Disable = 0,     /* Average disabled */
  RICNT_AVG8_Average2 = 1,     /* Average with 2 measures */
  RICNT_AVG8_Average4 = 2,     /* Average with 4 measures */
  RICNT_AVG8_Average8 = 3,     /* Average with 8 measures */
  RICNT_AVG8_Average16 = 4,     /* Average with 16 measures */
  RICNT_AVG8_Average32 = 5,     /* Average with 32 measures */
  RICNT_AVG8_Average64 = 6     /* Average with 64 measures */
} RICNT_AVG8;

/* Enumerate value for ADC.RICNT.AVG9 */
typedef enum
{ RICNT_AVG9_Disable = 0,     /* Average disabled */
  RICNT_AVG9_Average2 = 1,     /* Average with 2 measures */
  RICNT_AVG9_Average4 = 2,     /* Average with 4 measures */
  RICNT_AVG9_Average8 = 3,     /* Average with 8 measures */
  RICNT_AVG9_Average16 = 4,     /* Average with 16 measures */
  RICNT_AVG9_Average32 = 5,     /* Average with 32 measures */
  RICNT_AVG9_Average64 = 6     /* Average with 64 measures */
} RICNT_AVG9;

/* Enumerate value for ADC.RICNT.AVG10 */
typedef enum
{ RICNT_AVG10_Disable = 0,     /* Average disabled */
  RICNT_AVG10_Average2 = 1,     /* Average with 2 measures */
  RICNT_AVG10_Average4 = 2,     /* Average with 4 measures */
  RICNT_AVG10_Average8 = 3,     /* Average with 8 measures */
  RICNT_AVG10_Average16 = 4,     /* Average with 16 measures */
  RICNT_AVG10_Average32 = 5,     /* Average with 32 measures */
  RICNT_AVG10_Average64 = 6     /* Average with 64 measures */
} RICNT_AVG10;

/* Enumerate value for ADC.RICNT.AVG11 */
typedef enum
{ RICNT_AVG11_Disable = 0,     /* Average disabled */
  RICNT_AVG11_Average2 = 1,     /* Average with 2 measures */
  RICNT_AVG11_Average4 = 2,     /* Average with 4 measures */
  RICNT_AVG11_Average8 = 3,     /* Average with 8 measures */
  RICNT_AVG11_Average16 = 4,     /* Average with 16 measures */
  RICNT_AVG11_Average32 = 5,     /* Average with 32 measures */
  RICNT_AVG11_Average64 = 6     /* Average with 64 measures */
} RICNT_AVG11;

/* Enumerate value for ADC.CTL.WMARK */
typedef enum
{ CTL_WMARK_Level1 = 1,     /* 1 measure for dma request */
  CTL_WMARK_Level2 = 2,     /* 2 measures for dma request */
  CTL_WMARK_Level4 = 3,     /* 4 measures for dma request */
  CTL_WMARK_Level8 = 4,     /* 8 measures for dma request */
  CTL_WMARK_Level16 = 5,     /* 16 measures for dma request */
  CTL_WMARK_Level32 = 6     /* 32 measures for dma request */
} CTL_WMARK;

/* Enumerate value for ADC.DCCTL.CIM */
typedef enum
{ DCCTL_CIM_Multiple = 0,     /* multiple trigger mode */
  DCCTL_CIM_Single = 1,     /* single trigger mode */
  DCCTL_CIM_MultipleHyst = 2,     /* multiple trigger mode with hysteresis */
  DCCTL_CIM_SingleHyst = 3     /* single trigger mode with hysteresis */
} DCCTL_CIM;

/* Enumerate value for ADC.DCCTL.CIC */
typedef enum
{ DCCTL_CIC_Low = 0,     /* result lower or equal COMP0 */
  DCCTL_CIC_Window = 1,     /* result between COMP0 and COMP1 or equal any of them */
  DCCTL_CIC_High = 3     /* result higher or equal COMP1 */
} DCCTL_CIC;

/* Enumerate value for ADC.DCCTL.CTM */
typedef enum
{ DCCTL_CTM_Multiple = 0,     /* multiple trigger mode */
  DCCTL_CTM_Single = 1,     /* single trigger mode */
  DCCTL_CTM_MultipleHyst = 2,     /* multiple trigger mode with hysteresis */
  DCCTL_CTM_SingleHyst = 3     /* single trigger mode with hysteresis */
} DCCTL_CTM;

/* Enumerate value for ADC.DCCTL.CTC */
typedef enum
{ DCCTL_CTC_Low = 0,     /* result lower or equal COMP0 */
  DCCTL_CTC_Window = 1,     /* result between COMP0 and COMP1 or equal any of them */
  DCCTL_CTC_High = 3     /* result higher or equal COMP1 */
} DCCTL_CTC;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN0 */
typedef enum
{ GPIOPCTLA_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN1 */
typedef enum
{ GPIOPCTLA_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN2 */
typedef enum
{ GPIOPCTLA_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN3 */
typedef enum
{ GPIOPCTLA_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN4 */
typedef enum
{ GPIOPCTLA_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN5 */
typedef enum
{ GPIOPCTLA_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN6 */
typedef enum
{ GPIOPCTLA_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN7 */
typedef enum
{ GPIOPCTLA_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN8 */
typedef enum
{ GPIOPCTLA_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN9 */
typedef enum
{ GPIOPCTLA_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN10 */
typedef enum
{ GPIOPCTLA_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN11 */
typedef enum
{ GPIOPCTLA_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN12 */
typedef enum
{ GPIOPCTLA_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN13 */
typedef enum
{ GPIOPCTLA_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN14 */
typedef enum
{ GPIOPCTLA_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLA.PIN15 */
typedef enum
{ GPIOPCTLA_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLA_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLA_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLA_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN0 */
typedef enum
{ GPIOPCTLB_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN1 */
typedef enum
{ GPIOPCTLB_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN2 */
typedef enum
{ GPIOPCTLB_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN3 */
typedef enum
{ GPIOPCTLB_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN4 */
typedef enum
{ GPIOPCTLB_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN5 */
typedef enum
{ GPIOPCTLB_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN6 */
typedef enum
{ GPIOPCTLB_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN7 */
typedef enum
{ GPIOPCTLB_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN8 */
typedef enum
{ GPIOPCTLB_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN9 */
typedef enum
{ GPIOPCTLB_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN10 */
typedef enum
{ GPIOPCTLB_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN11 */
typedef enum
{ GPIOPCTLB_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN12 */
typedef enum
{ GPIOPCTLB_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN13 */
typedef enum
{ GPIOPCTLB_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN14 */
typedef enum
{ GPIOPCTLB_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLB.PIN15 */
typedef enum
{ GPIOPCTLB_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLB_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLB_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLB_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN0 */
typedef enum
{ GPIOPCTLC_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN1 */
typedef enum
{ GPIOPCTLC_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN2 */
typedef enum
{ GPIOPCTLC_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN3 */
typedef enum
{ GPIOPCTLC_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN4 */
typedef enum
{ GPIOPCTLC_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN5 */
typedef enum
{ GPIOPCTLC_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN6 */
typedef enum
{ GPIOPCTLC_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN7 */
typedef enum
{ GPIOPCTLC_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN8 */
typedef enum
{ GPIOPCTLC_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN9 */
typedef enum
{ GPIOPCTLC_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN10 */
typedef enum
{ GPIOPCTLC_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN11 */
typedef enum
{ GPIOPCTLC_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN12 */
typedef enum
{ GPIOPCTLC_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN13 */
typedef enum
{ GPIOPCTLC_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN14 */
typedef enum
{ GPIOPCTLC_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLC.PIN15 */
typedef enum
{ GPIOPCTLC_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLC_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLC_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLC_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN0 */
typedef enum
{ GPIOPCTLD_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN1 */
typedef enum
{ GPIOPCTLD_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN2 */
typedef enum
{ GPIOPCTLD_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN3 */
typedef enum
{ GPIOPCTLD_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN4 */
typedef enum
{ GPIOPCTLD_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN5 */
typedef enum
{ GPIOPCTLD_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN6 */
typedef enum
{ GPIOPCTLD_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN7 */
typedef enum
{ GPIOPCTLD_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN8 */
typedef enum
{ GPIOPCTLD_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN9 */
typedef enum
{ GPIOPCTLD_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN10 */
typedef enum
{ GPIOPCTLD_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN11 */
typedef enum
{ GPIOPCTLD_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN12 */
typedef enum
{ GPIOPCTLD_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN13 */
typedef enum
{ GPIOPCTLD_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN14 */
typedef enum
{ GPIOPCTLD_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLD.PIN15 */
typedef enum
{ GPIOPCTLD_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLD_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLD_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLD_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN0 */
typedef enum
{ GPIOPCTLE_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN1 */
typedef enum
{ GPIOPCTLE_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN2 */
typedef enum
{ GPIOPCTLE_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN3 */
typedef enum
{ GPIOPCTLE_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN4 */
typedef enum
{ GPIOPCTLE_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN5 */
typedef enum
{ GPIOPCTLE_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN6 */
typedef enum
{ GPIOPCTLE_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN7 */
typedef enum
{ GPIOPCTLE_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN8 */
typedef enum
{ GPIOPCTLE_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN9 */
typedef enum
{ GPIOPCTLE_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN10 */
typedef enum
{ GPIOPCTLE_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN11 */
typedef enum
{ GPIOPCTLE_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN12 */
typedef enum
{ GPIOPCTLE_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN13 */
typedef enum
{ GPIOPCTLE_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN14 */
typedef enum
{ GPIOPCTLE_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLE.PIN15 */
typedef enum
{ GPIOPCTLE_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLE_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLE_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLE_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN0 */
typedef enum
{ GPIOPCTLF_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN1 */
typedef enum
{ GPIOPCTLF_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN2 */
typedef enum
{ GPIOPCTLF_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN3 */
typedef enum
{ GPIOPCTLF_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN4 */
typedef enum
{ GPIOPCTLF_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN5 */
typedef enum
{ GPIOPCTLF_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN6 */
typedef enum
{ GPIOPCTLF_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN7 */
typedef enum
{ GPIOPCTLF_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN8 */
typedef enum
{ GPIOPCTLF_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN9 */
typedef enum
{ GPIOPCTLF_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN10 */
typedef enum
{ GPIOPCTLF_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN11 */
typedef enum
{ GPIOPCTLF_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN12 */
typedef enum
{ GPIOPCTLF_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN13 */
typedef enum
{ GPIOPCTLF_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN14 */
typedef enum
{ GPIOPCTLF_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLF.PIN15 */
typedef enum
{ GPIOPCTLF_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLF_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLF_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLF_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN0 */
typedef enum
{ GPIOPCTLG_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN1 */
typedef enum
{ GPIOPCTLG_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN2 */
typedef enum
{ GPIOPCTLG_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN3 */
typedef enum
{ GPIOPCTLG_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN4 */
typedef enum
{ GPIOPCTLG_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN5 */
typedef enum
{ GPIOPCTLG_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN6 */
typedef enum
{ GPIOPCTLG_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN7 */
typedef enum
{ GPIOPCTLG_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN8 */
typedef enum
{ GPIOPCTLG_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN9 */
typedef enum
{ GPIOPCTLG_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN10 */
typedef enum
{ GPIOPCTLG_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN11 */
typedef enum
{ GPIOPCTLG_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN12 */
typedef enum
{ GPIOPCTLG_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN13 */
typedef enum
{ GPIOPCTLG_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN14 */
typedef enum
{ GPIOPCTLG_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLG.PIN15 */
typedef enum
{ GPIOPCTLG_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLG_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLG_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLG_PIN15;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN0 */
typedef enum
{ GPIOPCTLH_PIN0_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN0_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN0_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN0;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN1 */
typedef enum
{ GPIOPCTLH_PIN1_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN1_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN1_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN1;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN2 */
typedef enum
{ GPIOPCTLH_PIN2_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN2_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN2_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN2;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN3 */
typedef enum
{ GPIOPCTLH_PIN3_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN3_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN3_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN3;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN4 */
typedef enum
{ GPIOPCTLH_PIN4_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN4_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN4_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN4;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN5 */
typedef enum
{ GPIOPCTLH_PIN5_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN5_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN5_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN5;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN6 */
typedef enum
{ GPIOPCTLH_PIN6_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN6_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN6_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN6;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN7 */
typedef enum
{ GPIOPCTLH_PIN7_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN7_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN7_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN7;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN8 */
typedef enum
{ GPIOPCTLH_PIN8_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN8_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN8_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN8;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN9 */
typedef enum
{ GPIOPCTLH_PIN9_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN9_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN9_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN9;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN10 */
typedef enum
{ GPIOPCTLH_PIN10_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN10_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN10_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN10;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN11 */
typedef enum
{ GPIOPCTLH_PIN11_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN11_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN11_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN11;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN12 */
typedef enum
{ GPIOPCTLH_PIN12_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN12_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN12_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN12;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN13 */
typedef enum
{ GPIOPCTLH_PIN13_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN13_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN13_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN13;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN14 */
typedef enum
{ GPIOPCTLH_PIN14_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN14_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN14_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN14;

/* Enumerate value for COMMON_REG.GPIOPCTLH.PIN15 */
typedef enum
{ GPIOPCTLH_PIN15_AltFunc1 = 0,     /* first alternative function for pin */
  GPIOPCTLH_PIN15_AltFunc2 = 1,     /* second alternative function for pin */
  GPIOPCTLH_PIN15_AltFunc3 = 2     /* third alternative function for pin */
} GPIOPCTLH_PIN15;

/* Enumerate value for COMMON_REG.PLL_CTRL.REFSEL */
typedef enum
{ PLL_CTRL_REFSEL_ExtOsc = 0,     /* tact signal from external oscillator */
  PLL_CTRL_REFSEL_USBClk = 1,     /* tact signal from USB clock(GPIO A0) */
  PLL_CTRL_REFSEL_USB60MHz = 2,     /* tact signal from USB 60 MHz */
  PLL_CTRL_REFSEL_ETH25MHz = 3     /* tact signal from Ethernet 25 MHz */
} PLL_CTRL_REFSEL;

/* Enumerate value for COMMON_REG.PLL_OD.PLL_OD */
typedef enum
{ PLL_OD_PLL_OD_Disable = 0,     /* output PLL divider disabled */
  PLL_OD_PLL_OD_Div2 = 1,     /* output PLL divider by 2 enabled */
  PLL_OD_PLL_OD_Div4 = 3     /* output PLL divider by 4 enabled */
} PLL_OD_PLL_OD;

/* Enumerate value for COMMON_REG.SYS_CLK.SEL_SRC */
typedef enum
{ SYS_CLK_SEL_SRC_CPE = 0,     /* select POR clock or XI_OSC by input CPE */
  SYS_CLK_SEL_SRC_POR = 1,     /* POR clock */
  SYS_CLK_SEL_SRC_ExtOsc = 2,     /*  external oscillator clock (XI_OSC) */
  SYS_CLK_SEL_SRC_PLL = 3,     /* PLL clock */
  SYS_CLK_SEL_SRC_PLLDiv = 4,     /* PLL clock with post-devider */
  SYS_CLK_SEL_SRC_USB60MHz = 5,     /* USB clock 60 MHz */
  SYS_CLK_SEL_SRC_USBClk = 6,     /* clock from input CLK_USB GPIO A0 (12/24 MHz) */
  SYS_CLK_SEL_SRC_ETH25MHz = 7     /* clock from external Ethernet clock GPIO B3 or GPIO A8 */
} SYS_CLK_SEL_SRC;

/* Enumerate value for COMMON_REG.SYS_CLK.CURR_SRC */
typedef enum
{ SYS_CLK_CURR_SRC_CPE = 0,     /* select POR clock or XI_OSC by input CPE */
  SYS_CLK_CURR_SRC_POR = 1,     /* POR clock */
  SYS_CLK_CURR_SRC_ExtOsc = 2,     /*  external oscillator clock (XI_OSC) */
  SYS_CLK_CURR_SRC_PLL = 3,     /* PLL clock */
  SYS_CLK_CURR_SRC_PLLDiv = 4,     /* PLL clock with post-devider */
  SYS_CLK_CURR_SRC_USB60MHz = 5,     /* USB clock 60 MHz */
  SYS_CLK_CURR_SRC_USBClk = 6,     /* clock from input CLK_USB GPIO A0 (12/24 MHz) */
  SYS_CLK_CURR_SRC_ETH25MHz = 7     /* clock from external Ethernet clock GPIO B3 or GPIO A8 */
} SYS_CLK_CURR_SRC;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_UART0 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_UART0_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_UART0_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_UART0_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_UART0_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_UART0;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_UART1 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_UART1_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_UART1_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_UART1_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_UART1_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_UART1;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_UART2 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_UART2_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_UART2_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_UART2_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_UART2_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_UART2;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_UART3 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_UART3_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_UART3_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_UART3_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_UART3_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_UART3;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_SPI0 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_SPI0_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_SPI0_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_SPI0_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_SPI0_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_SPI0;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_SPI1 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_SPI1_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_SPI1_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_SPI1_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_SPI1_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_SPI1;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_SPI2 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_SPI2_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_SPI2_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_SPI2_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_SPI2_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_SPI2;

/* Enumerate value for COMMON_REG.UART_SPI_CLK_SEL.SEL_SPI3 */
typedef enum
{ UART_SPI_CLK_SEL_SEL_SPI3_SysClk = 0,     /* system clock */
  UART_SPI_CLK_SEL_SEL_SPI3_ExtOsc = 1,     /* external oscillator clock (XI_OSC) */
  UART_SPI_CLK_SEL_SEL_SPI3_USBClk = 2,     /* USB clock from GPIO A0 */
  UART_SPI_CLK_SEL_SEL_SPI3_USB60MHz = 3     /* USB clock 60 MHz */
} UART_SPI_CLK_SEL_SEL_SPI3;

/* Enumerate value for CAN.FDR.DM */
typedef enum
{ FDR_DM_Disable = 0,     /* counter disabled */
  FDR_DM_NormalMode = 1,     /* normal operation mode */
  FDR_DM_DividerMode = 2     /* divider operation mode */
} FDR_DM;

/* Enumerate value for CAN.NSR.LEC */
typedef enum
{ NSR_LEC_NoErr = 0,     /* no error */
  NSR_LEC_StuffErr = 1,     /* stuff error */
  NSR_LEC_FormErr = 2,     /* form error */
  NSR_LEC_AckErr = 3,     /* acknowlegment error */
  NSR_LEC_Bit1Err = 4,     /* bit 1 error */
  NSR_LEC_Bit0Err = 5,     /* bit 0 error */
  NSR_LEC_CRCErr = 6,     /* CRC error */
  NSR_LEC_WriteEn = 7     /* enable hardware write */
} NSR_LEC;

/* Enumerate value for CAN.MOFCR.MMC */
typedef enum
{ MOFCR_MMC_MsgObj = 0,     /* message object */
  MOFCR_MMC_RXObj = 1,     /* receiver FIFO structure object */
  MOFCR_MMC_TXObj = 2,     /* transmitter FIFO structure object */
  MOFCR_MMC_SlaveTXObj = 3,     /* transmitter FIFO structure slave object */
  MOFCR_MMC_SrcObj = 4     /* gateway source object */
} MOFCR_MMC;

/* Enumerate value for ETHERNET.MCFG.CLOCK_SELECT */
typedef enum
{ MCFG_CLOCK_SELECT_Div4 = 0,     /* 1/4 divider */
  MCFG_CLOCK_SELECT_Div6 = 2,     /* 1/6 divider */
  MCFG_CLOCK_SELECT_Div8 = 3,     /* 1/8 divider */
  MCFG_CLOCK_SELECT_Div10 = 4,     /* 1/10 divider */
  MCFG_CLOCK_SELECT_Div14 = 5,     /* 1/14 divider */
  MCFG_CLOCK_SELECT_Div20 = 6,     /* 1/20 divider */
  MCFG_CLOCK_SELECT_Div28 = 7     /* 1/28 divider */
} MCFG_CLOCK_SELECT;

/* Enumerate value for ETHERNET.FIFOCFG.ENREQ */
typedef enum
{ FIFOCFG_ENREQ_Disable = 0,     /* disable MIIFIFO requests */
  FIFOCFG_ENREQ_Enable = 31     /* enable MIIFIFO requests */
} FIFOCFG_ENREQ;

/* Enumerate value for ETHERNET.FIFOCFG.ENRPLY */
typedef enum
{ FIFOCFG_ENRPLY_Disable = 0,     /* disable MIIFIFO modules */
  FIFOCFG_ENRPLY_Enable = 31     /* enable MIIFIFO modules */
} FIFOCFG_ENRPLY;

/* Enumerate value for USBHost.USB_PKT_FIELDS_A.PID */
typedef enum
{ USB_PKT_FIELDS_A_PID_Out = 0,     /* Out */
  USB_PKT_FIELDS_A_PID_In = 1,     /* In */
  USB_PKT_FIELDS_A_PID_Setup = 2,     /* Setup */
  USB_PKT_FIELDS_A_PID_Ping = 3     /* Ping */
} USB_PKT_FIELDS_A_PID;

/* Enumerate value for USBDevice.USB_EP_CFG.EP_TYPE */
typedef enum
{ USB_EP_CFG_EP_TYPE_Bulk = 1,     /* Bulk */
  USB_EP_CFG_EP_TYPE_Int = 2,     /* Interrupt */
  USB_EP_CFG_EP_TYPE_Isochron = 3     /* Isochronous */
} USB_EP_CFG_EP_TYPE;

/* Enumerate value for USBDevice.USB_EP_CFG.EP_DIR */
typedef enum
{ USB_EP_CFG_EP_DIR_OUT = 0,     /* Out */
  USB_EP_CFG_EP_DIR_IN = 1     /* In */
} USB_EP_CFG_EP_DIR;

/* Enumerate value for USBDevice.USB_EP_CFG.MULT */
typedef enum
{ USB_EP_CFG_MULT_1 = 0,     /* 1 operation */
  USB_EP_CFG_MULT_2 = 1,     /* 2 operation */
  USB_EP_CFG_MULT_3 = 2     /* 3 operation */
} USB_EP_CFG_MULT;

/* Enumerate value for I2C.CST.TOCDIV */
typedef enum
{ CST_TOCDIV_Disable = 0,     /* disable clock */
  CST_TOCDIV_Div4 = 1,     /* clock divided by 4 */
  CST_TOCDIV_Div8 = 2,     /* clock divided by 8 */
  CST_TOCDIV_Div16 = 3     /* clock divided by 16 */
} CST_TOCDIV;

/* Enumerate value for DMA.STATUS.STATE */
typedef enum
{ STATUS_STATE_Free = 0,     /* At rest */
  STATUS_STATE_ReadConfigData = 1,     /* Reading the config data structure */
  STATUS_STATE_ReadSrcDataEndPtr = 2,     /* Reading sourse data end pointer */
  STATUS_STATE_ReadDstDataEndPtr = 3,     /* Reading destination data end pointer */
  STATUS_STATE_ReadSrcData = 4,     /* Reading source data */
  STATUS_STATE_WrireDstData = 5,     /* Writing data to the destination */
  STATUS_STATE_WaitReq = 6,     /* Waiting for a request */
  STATUS_STATE_WriteConfigData = 7,     /* Write config structure of the channel */
  STATUS_STATE_Pause = 8,     /* Suspended */
  STATUS_STATE_Done = 9,     /* Executed */
  STATUS_STATE_PeriphScatGath = 10     /* mode "peripheral scather-gather" */
} STATUS_STATE;

/* Enumerate value for PWM.TBCTL.CTRMODE */
typedef enum
{ TBCTL_CTRMODE_Up = 0,     /* count direction up */
  TBCTL_CTRMODE_Down = 1,     /* count direction down */
  TBCTL_CTRMODE_UpDown = 2,     /* count direction up-down */
  TBCTL_CTRMODE_Stop = 3     /* counter stopped */
} TBCTL_CTRMODE;

/* Enumerate value for PWM.TBCTL.SYNCOSEL */
typedef enum
{ TBCTL_SYNCOSEL_SYNCI = 0,     /* PWM_SYNCI is source for PWM_SYNCO */
  TBCTL_SYNCOSEL_CTREqZero = 1,     /*  CTR = 0000h is source for PWM_SYNCO */
  TBCTL_SYNCOSEL_CTREqCMPB = 2,     /* CTR = CMPB is source for PWM_SYNCO */
  TBCTL_SYNCOSEL_Disable = 3     /* PWM_SYNCO generation disabled */
} TBCTL_SYNCOSEL;

/* Enumerate value for PWM.TBCTL.HSPCLKDIV */
typedef enum
{ TBCTL_HSPCLKDIV_Div1 = 0,     /* clock not divided */
  TBCTL_HSPCLKDIV_Div2 = 1,     /* clock divided by 2 */
  TBCTL_HSPCLKDIV_Div4 = 2,     /* clock divided by 4 */
  TBCTL_HSPCLKDIV_Div8 = 3,     /* clock divided by 8 */
  TBCTL_HSPCLKDIV_Div16 = 4,     /* clock divided by 16 */
  TBCTL_HSPCLKDIV_Div32 = 5,     /* clock divided by 32 */
  TBCTL_HSPCLKDIV_Div64 = 6,     /* clock divided by 64 */
  TBCTL_HSPCLKDIV_Div128 = 7     /* clock divided by 128 */
} TBCTL_HSPCLKDIV;

/* Enumerate value for PWM.TBCTL.CLKDIV */
typedef enum
{ TBCTL_CLKDIV_Div1 = 0,     /* clock not divided */
  TBCTL_CLKDIV_Div2 = 1,     /* clock divided by 2 */
  TBCTL_CLKDIV_Div4 = 2,     /* clock divided by 4 */
  TBCTL_CLKDIV_Div8 = 3,     /* clock divided by 8 */
  TBCTL_CLKDIV_Div16 = 4,     /* clock divided by 16 */
  TBCTL_CLKDIV_Div32 = 5,     /* clock divided by 32 */
  TBCTL_CLKDIV_Div64 = 6,     /* clock divided by 64 */
  TBCTL_CLKDIV_Div128 = 7     /* clock divided by 128 */
} TBCTL_CLKDIV;

/* Enumerate value for PWM.TBCTL.FREE_SOFT */
typedef enum
{ TBCTL_FREE_SOFT_StopAtTBCLK = 0,     /* stop timer at next TBCLK tact */
  TBCTL_FREE_SOFT_StopAtPeriod = 1     /* stop timer when period ends */
} TBCTL_FREE_SOFT;

/* Enumerate value for PWM.CMPCTL.LOADAMODE */
typedef enum
{ CMPCTL_LOADAMODE_CTREqZero = 0,     /* shadow load for CMPx (x=A,B) when CTR = 0 */
  CMPCTL_LOADAMODE_CTREqPRD = 1,     /* shadow load for CMPx (x=A,B) when CTR = PRD */
  CMPCTL_LOADAMODE_CTREqZeroPRD = 2,     /* shadow load for CMPx (x=A,B) when CTR = 0 or CTR = PRD */
  CMPCTL_LOADAMODE_Disable = 3     /* shadow load for CMPx (x=A,B) disabled */
} CMPCTL_LOADAMODE;

/* Enumerate value for PWM.CMPCTL.LOADBMODE */
typedef enum
{ CMPCTL_LOADBMODE_CTREqZero = 0,     /* shadow load for CMPx (x=A,B) when CTR = 0 */
  CMPCTL_LOADBMODE_CTREqPRD = 1,     /* shadow load for CMPx (x=A,B) when CTR = PRD */
  CMPCTL_LOADBMODE_CTREqZeroPRD = 2,     /* shadow load for CMPx (x=A,B) when CTR = 0 or CTR = PRD */
  CMPCTL_LOADBMODE_Disable = 3     /* shadow load for CMPx (x=A,B) disabled */
} CMPCTL_LOADBMODE;

/* Enumerate value for PWM.AQCTLA.ZRO */
typedef enum
{ AQCTLA_ZRO_NoAction = 0,     /* no action */
  AQCTLA_ZRO_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_ZRO_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_ZRO_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_ZRO;

/* Enumerate value for PWM.AQCTLA.PRD */
typedef enum
{ AQCTLA_PRD_NoAction = 0,     /* no action */
  AQCTLA_PRD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_PRD_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_PRD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_PRD;

/* Enumerate value for PWM.AQCTLA.CAU */
typedef enum
{ AQCTLA_CAU_NoAction = 0,     /* no action */
  AQCTLA_CAU_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_CAU_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_CAU_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_CAU;

/* Enumerate value for PWM.AQCTLA.CAD */
typedef enum
{ AQCTLA_CAD_NoAction = 0,     /* no action */
  AQCTLA_CAD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_CAD_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_CAD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_CAD;

/* Enumerate value for PWM.AQCTLA.CBU */
typedef enum
{ AQCTLA_CBU_NoAction = 0,     /* no action */
  AQCTLA_CBU_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_CBU_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_CBU_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_CBU;

/* Enumerate value for PWM.AQCTLA.CBD */
typedef enum
{ AQCTLA_CBD_NoAction = 0,     /* no action */
  AQCTLA_CBD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLA_CBD_Set = 2,     /* set PWMA/PWMB */
  AQCTLA_CBD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLA_CBD;

/* Enumerate value for PWM.AQCTLB.ZRO */
typedef enum
{ AQCTLB_ZRO_NoAction = 0,     /* no action */
  AQCTLB_ZRO_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_ZRO_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_ZRO_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_ZRO;

/* Enumerate value for PWM.AQCTLB.PRD */
typedef enum
{ AQCTLB_PRD_NoAction = 0,     /* no action */
  AQCTLB_PRD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_PRD_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_PRD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_PRD;

/* Enumerate value for PWM.AQCTLB.CAU */
typedef enum
{ AQCTLB_CAU_NoAction = 0,     /* no action */
  AQCTLB_CAU_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_CAU_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_CAU_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_CAU;

/* Enumerate value for PWM.AQCTLB.CAD */
typedef enum
{ AQCTLB_CAD_NoAction = 0,     /* no action */
  AQCTLB_CAD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_CAD_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_CAD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_CAD;

/* Enumerate value for PWM.AQCTLB.CBU */
typedef enum
{ AQCTLB_CBU_NoAction = 0,     /* no action */
  AQCTLB_CBU_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_CBU_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_CBU_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_CBU;

/* Enumerate value for PWM.AQCTLB.CBD */
typedef enum
{ AQCTLB_CBD_NoAction = 0,     /* no action */
  AQCTLB_CBD_Clear = 1,     /* clear PWMA/PWMB */
  AQCTLB_CBD_Set = 2,     /* set PWMA/PWMB */
  AQCTLB_CBD_Toogle = 3     /* inverse PWMA/PWMB */
} AQCTLB_CBD;

/* Enumerate value for PWM.AQSFRC.ACTSFA */
typedef enum
{ AQSFRC_ACTSFA_NoAction = 0,     /* no action */
  AQSFRC_ACTSFA_Clear = 1,     /* clear PWMA/PWMB */
  AQSFRC_ACTSFA_Set = 2,     /* set PWMA/PWMB */
  AQSFRC_ACTSFA_Toogle = 3     /* inverse PWMA/PWMB */
} AQSFRC_ACTSFA;

/* Enumerate value for PWM.AQSFRC.ACTSFB */
typedef enum
{ AQSFRC_ACTSFB_NoAction = 0,     /* no action */
  AQSFRC_ACTSFB_Clear = 1,     /* clear PWMA/PWMB */
  AQSFRC_ACTSFB_Set = 2,     /* set PWMA/PWMB */
  AQSFRC_ACTSFB_Toogle = 3     /* inverse PWMA/PWMB */
} AQSFRC_ACTSFB;

/* Enumerate value for PWM.AQSFRC.RLDCSF */
typedef enum
{ AQSFRC_RLDCSF_CTREqZero = 0,     /* load when CTR = 0 */
  AQSFRC_RLDCSF_CTREqPRD = 1,     /* load when CTR = PRD */
  AQSFRC_RLDCSF_CTREqZeroPRD = 2,     /* load when CTR = 0 or CTR = PRD */
  AQSFRC_RLDCSF_NoShadow = 3     /* load immediatelly */
} AQSFRC_RLDCSF;

/* Enumerate value for PWM.AQCSFRC.CSFA */
typedef enum
{ AQCSFRC_CSFA_NoAction = 0,     /* no action */
  AQCSFRC_CSFA_Clear = 1,     /* clear PWMA/PWMB */
  AQCSFRC_CSFA_Set = 2     /* set PWMA/PWMB */
} AQCSFRC_CSFA;

/* Enumerate value for PWM.AQCSFRC.CSFB */
typedef enum
{ AQCSFRC_CSFB_NoAction = 0,     /* no action */
  AQCSFRC_CSFB_Clear = 1,     /* clear PWMA/PWMB */
  AQCSFRC_CSFB_Set = 2     /* set PWMA/PWMB */
} AQCSFRC_CSFB;

/* Enumerate value for PWM.DBCTL.OUT_MODE */
typedef enum
{ DBCTL_OUT_MODE_NoSpec = 0,     /* edge for deadtime is no specified */
  DBCTL_OUT_MODE_BNeg = 1,     /* deadtime on PWMB negedge */
  DBCTL_OUT_MODE_APos = 2,     /* deadtime on PWMA posedge */
  DBCTL_OUT_MODE_Apos_BNeg = 3     /* deadtime on PWMA posedge and PWMB negedge */
} DBCTL_OUT_MODE;

/* Enumerate value for PWM.DBCTL.POLSEL */
typedef enum
{ DBCTL_POLSEL_InvDisable = 0,     /* inverse disabled */
  DBCTL_POLSEL_InvA = 1,     /* inverse on PWMA */
  DBCTL_POLSEL_InvB = 2,     /* inverse on PWMB */
  DBCTL_POLSEL_InvAB = 3     /* inverse on PWMA and PWMB */
} DBCTL_POLSEL;

/* Enumerate value for PWM.DBCTL.IN_MODE */
typedef enum
{ DBCTL_IN_MODE_APosNeg = 0,     /* PWMA is used for posedge and negedge control */
  DBCTL_IN_MODE_ANeg_BPos = 1,     /* PWMA is used for negedge and PWMB is used for posedge control */
  DBCTL_IN_MODE_APos_BNeg = 2,     /* PWMA is used for posedge and PWMB is used for negedge control */
  DBCTL_IN_MODE_BPosNeg = 3     /* PWMB is used for posedge and negedge control */
} DBCTL_IN_MODE;

/* Enumerate value for PWM.TZCTL.TZA */
typedef enum
{ TZCTL_TZA_Z = 0,     /* PWMA/PWMB go to Z on failture */
  TZCTL_TZA_Set = 1,     /* PWMA/PWMB go to 1 on failture */
  TZCTL_TZA_Clear = 2,     /* PWMA/PWMB go to 0 on failture */
  TZCTL_TZA_NoAction = 3     /* no action on failture */
} TZCTL_TZA;

/* Enumerate value for PWM.TZCTL.TZB */
typedef enum
{ TZCTL_TZB_Z = 0,     /* PWMA/PWMB go to Z on failture */
  TZCTL_TZB_Set = 1,     /* PWMA/PWMB go to 1 on failture */
  TZCTL_TZB_Clear = 2,     /* PWMA/PWMB go to 0 on failture */
  TZCTL_TZB_NoAction = 3     /* no action on failture */
} TZCTL_TZB;

/* Enumerate value for PWM.ETSEL.INTSEL */
typedef enum
{ ETSEL_INTSEL_CTREqZero = 1,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = 0 */
  ETSEL_INTSEL_CTREqPRD = 2,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = PRD */
  ETSEL_INTSEL_CTREqCMPA_OnUp = 4,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count up */
  ETSEL_INTSEL_CTREqCMPA_OnDown = 5,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count down */
  ETSEL_INTSEL_CTREqCMPB_OnUp = 6,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count up */
  ETSEL_INTSEL_CTREqCMPB_OnDown = 7     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count down */
} ETSEL_INTSEL;

/* Enumerate value for PWM.ETSEL.SOCASEL */
typedef enum
{ ETSEL_SOCASEL_CTREqZero = 1,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = 0 */
  ETSEL_SOCASEL_CTREqPRD = 2,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = PRD */
  ETSEL_SOCASEL_CTREqCMPA_OnUp = 4,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count up */
  ETSEL_SOCASEL_CTREqCMPA_OnDown = 5,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count down */
  ETSEL_SOCASEL_CTREqCMPB_OnUp = 6,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count up */
  ETSEL_SOCASEL_CTREqCMPB_OnDown = 7     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count down */
} ETSEL_SOCASEL;

/* Enumerate value for PWM.ETSEL.SOCBSEL */
typedef enum
{ ETSEL_SOCBSEL_CTREqZero = 1,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = 0 */
  ETSEL_SOCBSEL_CTREqPRD = 2,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = PRD */
  ETSEL_SOCBSEL_CTREqCMPA_OnUp = 4,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count up */
  ETSEL_SOCBSEL_CTREqCMPA_OnDown = 5,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPA when count down */
  ETSEL_SOCBSEL_CTREqCMPB_OnUp = 6,     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count up */
  ETSEL_SOCBSEL_CTREqCMPB_OnDown = 7     /*  generate PWM_SOCA/PWM_SOCB/PWN_INT impulse on CTR = CMPB when count down */
} ETSEL_SOCBSEL;

/* Enumerate value for PWM.PCCTL.SHRFREQ */
typedef enum
{ PCCTL_SHRFREQ_Div1 = 0,     /* sync frequency divide by 1 */
  PCCTL_SHRFREQ_Div2 = 1,     /* sync frequency divide by 2 */
  PCCTL_SHRFREQ_Div3 = 2,     /* sync frequency divide by 3 */
  PCCTL_SHRFREQ_Div4 = 3,     /* sync frequency divide by 4 */
  PCCTL_SHRFREQ_Div5 = 4,     /* sync frequency divide by 5 */
  PCCTL_SHRFREQ_Div6 = 5,     /* sync frequency divide by 6 */
  PCCTL_SHRFREQ_Div7 = 6,     /* sync frequency divide by 7 */
  PCCTL_SHRFREQ_Div8 = 7     /* sync frequency divide by 8 */
} PCCTL_SHRFREQ;

/* Enumerate value for PWM.PCCTL.CHPDUTY */
typedef enum
{ PCCTL_CHPDUTY_Duty_1_8 = 0,     /* duty 1/8 */
  PCCTL_CHPDUTY_Duty_2_8 = 1,     /* duty 2/8 */
  PCCTL_CHPDUTY_Duty_3_8 = 2,     /* duty 3/8 */
  PCCTL_CHPDUTY_Duty_4_8 = 3,     /* duty 4/8 */
  PCCTL_CHPDUTY_Duty_5_8 = 4,     /* duty 5/8 */
  PCCTL_CHPDUTY_Duty_6_8 = 5,     /* duty 6/8 */
  PCCTL_CHPDUTY_Duty_7_8 = 6     /* duty 7/8 */
} PCCTL_CHPDUTY;

/* Enumerate value for PWM.HRCNFG.EDGMODE */
typedef enum
{ HRCNFG_EDGMODE_Pos = 1,     /* posedge will be delayed */
  HRCNFG_EDGMODE_Neg = 2,     /* negedge will be delayed */
  HRCNFG_EDGMODE_PosNeg = 3     /* posedge and negedge will be delayed */
} HRCNFG_EDGMODE;

/* Enumerate value for PWM.HDCTL.HDA */
typedef enum
{ HDCTL_HDA_Set = 1,     /* PWMA/PWMB go to 1 on failture */
  HDCTL_HDA_Clear = 2,     /* PWMA/PWMB go to 0 on failture */
  HDCTL_HDA_NoAction = 3     /* no action on failture */
} HDCTL_HDA;

/* Enumerate value for PWM.HDCTL.HDB */
typedef enum
{ HDCTL_HDB_Set = 1,     /* PWMA/PWMB go to 1 on failture */
  HDCTL_HDB_Clear = 2,     /* PWMA/PWMB go to 0 on failture */
  HDCTL_HDB_NoAction = 3     /* no action on failture */
} HDCTL_HDB;

/* Enumerate value for CAP.ECCTL0.FREE_SOFT */
typedef enum
{ ECCTL0_FREE_SOFT_Stop = 0,     /* stop timer immedeatelly */
  ECCTL0_FREE_SOFT_StopAtZero = 1     /* stop timer when reach zero */
} ECCTL0_FREE_SOFT;

/* Enumerate value for CAP.ECCTL1.SYNCO_SEL */
typedef enum
{ ECCTL1_SYNCO_SEL_Bypass = 0,     /* sync in connected with sync out */
  ECCTL1_SYNCO_SEL_CTREqPrd = 1,     /*  sync out generated when CTR = PRD */
  ECCTL1_SYNCO_SEL_Disable = 2     /*  sync out generate disabled */
} ECCTL1_SYNCO_SEL;

/* Enumerate value for QEP.QDECCTL.QSRC */
typedef enum
{ QDECCTL_QSRC_Quad = 0,     /* quadrature mode */
  QDECCTL_QSRC_CountDir = 1,     /* count/direction mode */
  QDECCTL_QSRC_Up = 2,     /* count up */
  QDECCTL_QSRC_Down = 3     /* count down */
} QDECCTL_QSRC;

/* Enumerate value for QEP.QEPCTL.IEL */
typedef enum
{ QEPCTL_IEL_NoLatch = 0,     /* no position counter latch */
  QEPCTL_IEL_IndPos = 1,     /* latch on index signal posedge */
  QEPCTL_IEL_IndNeg = 2,     /* latch on index signal negedge */
  QEPCTL_IEL_IndMark = 3     /* latch on index marker */
} QEPCTL_IEL;

/* Enumerate value for QEP.QEPCTL.IEI */
typedef enum
{ QEPCTL_IEI_NoInit = 0,     /* no initialization */
  QEPCTL_IEI_QEPIPos = 2,     /* init on posedge QEPI */
  QEPCTL_IEI_QEPINeg = 3     /* init on negedge QEPI */
} QEPCTL_IEI;

/* Enumerate value for QEP.QEPCTL.SEI */
typedef enum
{ QEPCTL_SEI_NoInit = 0,     /* no initialization */
  QEPCTL_SEI_QEPSPos = 2,     /* init on posedge QEPI */
  QEPCTL_SEI_QEPSDir = 3     /* init depends on direction - on posedge if direction is up, on negedge if direction is down */
} QEPCTL_SEI;

/* Enumerate value for QEP.QEPCTL.PCRM */
typedef enum
{ QEPCTL_PCRM_Ind = 0,     /* reset on index */
  QEPCTL_PCRM_PosMax = 1,     /* reset on max position count */
  QEPCTL_PCRM_FirstInd = 2,     /* reset on the first index */
  QEPCTL_PCRM_Time = 3     /* reset on time counter */
} QEPCTL_PCRM;

/* Enumerate value for QEP.QEPCTL.FREE_SOFT */
typedef enum
{ QEPCTL_FREE_SOFT_Stop = 0,     /* counters are blocked */
  QEPCTL_FREE_SOFT_StopAtOvf = 1,     /* stop after overflow */
  QEPCTL_FREE_SOFT_Free = 2     /* no count stop in debug mode */
} QEPCTL_FREE_SOFT;

/* Enumerate value for QEP.QCAPCTL.UPPS */
typedef enum
{ QCAPCTL_UPPS_Disable = 0,     /* quad signal not divided */
  QCAPCTL_UPPS_Div2 = 1,     /* quad signal divided by 2 */
  QCAPCTL_UPPS_Div4 = 2,     /* quad signal divided by 4 */
  QCAPCTL_UPPS_Div8 = 3,     /* quad signal divided by 8 */
  QCAPCTL_UPPS_Div16 = 4,     /* quad signal divided by 16 */
  QCAPCTL_UPPS_Div32 = 5,     /* quad signal divided by 32 */
  QCAPCTL_UPPS_Div64 = 6,     /* quad signal divided by 64 */
  QCAPCTL_UPPS_Div128 = 7,     /* quad signal divided by 128 */
  QCAPCTL_UPPS_Div256 = 8,     /* quad signal divided by 256 */
  QCAPCTL_UPPS_Div512 = 9,     /* quad signal divided by 512 */
  QCAPCTL_UPPS_Div1024 = 10,     /* quad signal divided by 1024 */
  QCAPCTL_UPPS_Div2048 = 11     /* quad signal divided by 2048 */
} QCAPCTL_UPPS;

/* Enumerate value for QEP.QCAPCTL.CCPS */
typedef enum
{ QCAPCTL_CCPS_Disable = 0,     /* no divider */
  QCAPCTL_CCPS_Div2 = 1,     /* sysclk divided by 2 */
  QCAPCTL_CCPS_Div4 = 2,     /* sysclk divided by 4 */
  QCAPCTL_CCPS_Div8 = 3,     /* sysclk divided by 8 */
  QCAPCTL_CCPS_Div16 = 4,     /* sysclk divided by 16 */
  QCAPCTL_CCPS_Div32 = 5,     /* sysclk divided by 32 */
  QCAPCTL_CCPS_Div64 = 6,     /* sysclk divided by 64 */
  QCAPCTL_CCPS_Div128 = 7     /* sysclk divided by 128 */
} QCAPCTL_CCPS;

/* Enumerate value for UART.LCR_H.WLEN */
typedef enum
{ LCR_H_WLEN_5bit = 0,     /* 5 bit in informational word */
  LCR_H_WLEN_6bit = 1,     /* 6 bit in informational word */
  LCR_H_WLEN_7bit = 2,     /* 7 bit in informational word */
  LCR_H_WLEN_8bit = 3     /* 8 bit in informational word */
} LCR_H_WLEN;

/* Enumerate value for UART.IFLS.TXIFLSEL */
typedef enum
{ IFLS_TXIFLSEL_Lvl_1_8 = 0,     /* interrupt on 1/8 */
  IFLS_TXIFLSEL_Lvl_1_4 = 1,     /* interrupt on 1/4 */
  IFLS_TXIFLSEL_Lvl_1_2 = 2,     /* interrupt on 1/2 */
  IFLS_TXIFLSEL_Lvl_3_4 = 3,     /* interrupt on 3/4 */
  IFLS_TXIFLSEL_Lvl_7_8 = 4     /* interrupt on 7/8 */
} IFLS_TXIFLSEL;

/* Enumerate value for UART.IFLS.RXIFLSEL */
typedef enum
{ IFLS_RXIFLSEL_Lvl_1_8 = 0,     /* interrupt on 1/8 */
  IFLS_RXIFLSEL_Lvl_1_4 = 1,     /* interrupt on 1/4 */
  IFLS_RXIFLSEL_Lvl_1_2 = 2,     /* interrupt on 1/2 */
  IFLS_RXIFLSEL_Lvl_3_4 = 3,     /* interrupt on 3/4 */
  IFLS_RXIFLSEL_Lvl_7_8 = 4     /* interrupt on 7/8 */
} IFLS_RXIFLSEL;

/* Enumerate value for CMP.CTL0.TSEN */
typedef enum
{ CTL0_TSEN_LvlISVAL = 0,     /* interrupt on level depended of IVAL state */
  CTL0_TSEN_PosEdge = 1,     /* interrupt on posedge */
  CTL0_TSEN_NegEdge = 2,     /* interrupt on negedge */
  CTL0_TSEN_EveryEdge = 3     /* interrupt on posedge and negedge */
} CTL0_TSEN;

/* Enumerate value for CMP.CTL0.ASRCP */
typedef enum
{ CTL0_ASRCP_C0Plus = 0,     /* pin C0+ connected as comparator 0 + in */
  CTL0_ASRCP_C1Plus = 1,     /* pin C1+ connected as comparator 0 + in */
  CTL0_ASRCP_DAC0 = 2     /* DAC 0 out connected as comparator 0 + in */
} CTL0_ASRCP;

/* Enumerate value for CMP.CTL1.TSEN */
typedef enum
{ CTL1_TSEN_LvlISVAL = 0,     /* interrupt on level depended of IVAL state */
  CTL1_TSEN_PosEdge = 1,     /* interrupt on posedge */
  CTL1_TSEN_NegEdge = 2,     /* interrupt on negedge */
  CTL1_TSEN_EveryEdge = 3     /* interrupt on posedge and negedge */
} CTL1_TSEN;

/* Enumerate value for CMP.CTL1.ASRCP */
typedef enum
{ CTL1_ASRCP_C1Plus = 0,     /* pin C1+ connected as comparator 1 + in */
  CTL1_ASRCP_DAC1 = 2,     /* DAC 1 out connected as comparator 1 + in */
  CTL1_ASRCP_DAC0 = 3     /* DAC 0 out connected as comparator 1 + in */
} CTL1_ASRCP;

/* Enumerate value for CMP.CTL2.TSEN */
typedef enum
{ CTL2_TSEN_LvlISVAL = 0,     /* interrupt on level depended of IVAL state */
  CTL2_TSEN_PosEdge = 1,     /* interrupt on posedge */
  CTL2_TSEN_NegEdge = 2,     /* interrupt on negedge */
  CTL2_TSEN_EveryEdge = 3     /* interrupt on posedge and negedge */
} CTL2_TSEN;

/* Enumerate value for CMP.CTL2.ASRCP */
typedef enum
{ CTL2_ASRCP_C2Plus = 0,     /* pin C2+ connected as comparator 2 + in */
  CTL2_ASRCP_C1Plus = 1,     /* pin C1+ connected as comparator 2 + in */
  CTL2_ASRCP_DAC2 = 2,     /* DAC 2 out connected as comparator 2 + in */
  CTL2_ASRCP_DAC0 = 3     /* DAC 0 out connected as comparator 2 + in */
} CTL2_ASRCP;

/* Enumerate value for SPI.SPI_CR0.DSS */
typedef enum
{ SPI_CR0_DSS_4bit = 3,     /* data size 4 bit */
  SPI_CR0_DSS_5bit = 4,     /* data size 5 bit */
  SPI_CR0_DSS_6bit = 5,     /* data size 6 bit */
  SPI_CR0_DSS_7bit = 6,     /* data size 7 bit */
  SPI_CR0_DSS_8bit = 7,     /* data size 8 bit */
  SPI_CR0_DSS_9bit = 8,     /* data size 9 bit */
  SPI_CR0_DSS_10bit = 9,     /* data size 10 bit */
  SPI_CR0_DSS_11bit = 10,     /* data size 11 bit */
  SPI_CR0_DSS_12bit = 11,     /* data size 12 bit */
  SPI_CR0_DSS_13bit = 12,     /* data size 13 bit */
  SPI_CR0_DSS_14bit = 13,     /* data size 14 bit */
  SPI_CR0_DSS_15bit = 14,     /* data size 15 bit */
  SPI_CR0_DSS_16bit = 15     /* data size 16 bit */
} SPI_CR0_DSS;

/* Enumerate value for SPI.SPI_CR0.FRF */
typedef enum
{ SPI_CR0_FRF_SPI = 0,     /* SPI of Motorola */
  SPI_CR0_FRF_SSI = 1,     /* SSI of Texas Instruments */
  SPI_CR0_FRF_Microwire = 2     /* Microwire of National Semiconductor */
} SPI_CR0_FRF;

#endif  /* K1921BK01T_ENUM_H */
